Error updating LMDE-UP3

Post your update and upgrade related errors here
Forum rules
Before you post please read how to get help

Error updating LMDE-UP3

Postby Therion87 on Thu Mar 29, 2012 5:57 pm

I keep getting an error when I try to update LMDE UP3 tracking testing and I've not sure why. Anyone have any ideas?

Code: Select all
sudo apt-get dist-upgrade
[sudo] password for robert:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  banshee foomatic-db-engine mint-meta-debian mintmenu
0 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.
2 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue [Y/n]? y
Setting up debian-system-adjustments (2012.03.29.1) ...
/var/lib/dpkg/info/debian-system-adjustments.postinst: 35: glib-compile-schemas: not found
dpkg: error processing debian-system-adjustments (--configure):
 subprocess installed post-installation script returned error exit status 127
dpkg: dependency problems prevent configuration of mint-meta-common:
 mint-meta-common depends on debian-system-adjustments; however:
  Package debian-system-adjustments is not configured yet.
dpkg: error processing mint-meta-common (--configure):
 dependency problems - leaving unconfigured
configured to not write apport reports
                                      configured to not write apport reports
                                                                            Errors were encountered while processing:
 debian-system-adjustments
 mint-meta-common
E: Sub-process /usr/bin/dpkg returned an error code (1)
Processor: i7-2860QM
Memory: 16 GB DDR3 @ 1600MHz
Graphics: Nvidia 560M 1.5GB - 313.18
Operating System: Linux Mint 13 Maya
HDD: 120 GB SSD & 500 GB HDD
Kernel: 3.9
User avatar
Therion87
Level 2
Level 2
 
Posts: 63
Joined: Thu Apr 07, 2011 4:07 pm
Location: Youngstown, OH

Linux Mint is funded by ads and donations.
 

Re: Error updating LMDE-UP3

Postby zerozero on Thu Mar 29, 2012 6:14 pm

split from the lmde breakages thread (because the OP is running latest)

Therion,
can you provide us the full output of
Code: Select all
inxi -Sr
and
Code: Select all
apt update && apt dist-upgrade
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6492
Joined: Tue Jul 07, 2009 2:29 pm

Re: Error updating LMDE-UP3

Postby Therion87 on Thu Mar 29, 2012 7:00 pm

Code: Select all
inxi -Sr
System:    Host robertlmde Kernel 3.0.0-1-amd64 x86_64 (64 bit) Distro Linux Mint Debian Edition
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://debian.linuxmint.com/latest testing main contrib non-free
           deb http://debian.linuxmint.com/latest/security testing/updates main contrib non-free
           deb http://debian.linuxmint.com/latest/multimedia testing main non-free
           deb http://mirror.csclub.uwaterloo.ca/linuxmint-packages/ debian main upstream import backport romeo


Code: Select all
apt update && apt dist-upgrade
Ign http://mirror.csclub.uwaterloo.ca debian InRelease                           
Hit http://debian.linuxmint.com testing InRelease                                 
Hit http://debian.linuxmint.com testing/updates InRelease
Hit http://mirror.csclub.uwaterloo.ca debian Release.gpg               
Ign http://debian.linuxmint.com testing InRelease
Hit http://mirror.csclub.uwaterloo.ca debian Release
Hit http://debian.linuxmint.com testing/main amd64 Packages/DiffIndex
Hit http://debian.linuxmint.com testing/contrib amd64 Packages/DiffIndex
Hit http://debian.linuxmint.com testing/non-free amd64 Packages/DiffIndex
Ign http://debian.linuxmint.com testing/contrib TranslationIndex
Hit http://debian.linuxmint.com testing/main TranslationIndex
Ign http://debian.linuxmint.com testing/non-free TranslationIndex
Hit http://debian.linuxmint.com testing/updates/main amd64 Packages
Hit http://debian.linuxmint.com testing/updates/contrib amd64 Packages
Hit http://debian.linuxmint.com testing/updates/non-free amd64 Packages
Ign http://debian.linuxmint.com testing/updates/contrib TranslationIndex
Hit http://mirror.csclub.uwaterloo.ca debian/main amd64 Packages
Ign http://debian.linuxmint.com testing/updates/main TranslationIndex
Ign http://debian.linuxmint.com testing/updates/non-free TranslationIndex
Hit http://debian.linuxmint.com testing Release.gpg
Hit http://mirror.csclub.uwaterloo.ca debian/upstream amd64 Packages
Hit http://mirror.csclub.uwaterloo.ca debian/import amd64 Packages
Hit http://mirror.csclub.uwaterloo.ca debian/backport amd64 Packages
Hit http://mirror.csclub.uwaterloo.ca debian/romeo amd64 Packages
Ign http://mirror.csclub.uwaterloo.ca debian/backport TranslationIndex
Ign http://mirror.csclub.uwaterloo.ca debian/import TranslationIndex
Ign http://mirror.csclub.uwaterloo.ca debian/main TranslationIndex
Ign http://mirror.csclub.uwaterloo.ca debian/romeo TranslationIndex
Ign http://mirror.csclub.uwaterloo.ca debian/upstream TranslationIndex
Hit http://debian.linuxmint.com testing Release
Hit http://debian.linuxmint.com testing/main amd64 Packages/DiffIndex
Hit http://debian.linuxmint.com testing/non-free amd64 Packages/DiffIndex
Ign http://debian.linuxmint.com testing/main TranslationIndex
Ign http://debian.linuxmint.com testing/non-free TranslationIndex
Ign http://mirror.csclub.uwaterloo.ca debian/backport Translation-en_US
Ign http://mirror.csclub.uwaterloo.ca debian/backport Translation-en
Ign http://mirror.csclub.uwaterloo.ca debian/import Translation-en_US
Ign http://mirror.csclub.uwaterloo.ca debian/import Translation-en
Ign http://mirror.csclub.uwaterloo.ca debian/main Translation-en_US
Ign http://mirror.csclub.uwaterloo.ca debian/main Translation-en
Ign http://mirror.csclub.uwaterloo.ca debian/romeo Translation-en_US
Ign http://debian.linuxmint.com testing/contrib Translation-en_US
Ign http://debian.linuxmint.com testing/contrib Translation-en
Ign http://debian.linuxmint.com testing/non-free Translation-en_US
Ign http://mirror.csclub.uwaterloo.ca debian/romeo Translation-en
Ign http://mirror.csclub.uwaterloo.ca debian/upstream Translation-en_US
Ign http://mirror.csclub.uwaterloo.ca debian/upstream Translation-en
Ign http://debian.linuxmint.com testing/non-free Translation-en
Ign http://debian.linuxmint.com testing/updates/contrib Translation-en_US
Ign http://debian.linuxmint.com testing/updates/contrib Translation-en
Ign http://debian.linuxmint.com testing/updates/main Translation-en_US
Ign http://debian.linuxmint.com testing/updates/main Translation-en
Ign http://debian.linuxmint.com testing/updates/non-free Translation-en_US
Ign http://debian.linuxmint.com testing/updates/non-free Translation-en
Ign http://debian.linuxmint.com testing/main Translation-en_US
Ign http://debian.linuxmint.com testing/main Translation-en
Ign http://debian.linuxmint.com testing/non-free Translation-en_US
Ign http://debian.linuxmint.com testing/non-free Translation-en
Reading package lists... Done
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  banshee foomatic-db-engine mint-meta-debian mintmenu
0 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.
2 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue [Y/n]? y
Setting up debian-system-adjustments (2012.03.29.1) ...
/var/lib/dpkg/info/debian-system-adjustments.postinst: 35: glib-compile-schemas: not found
dpkg: error processing debian-system-adjustments (--configure):
 subprocess installed post-installation script returned error exit status 127
dpkg: dependency problems prevent configuration of mint-meta-common:
 mint-meta-common depends on debian-system-adjustments; however:
  Package debian-system-adjustments is not configured yet.
dpkg: error processing mint-meta-common (--configure):
 dependency problems - leaving unconfigured
configured to not write apport reports
                                      configured to not write apport reports
                                                                            Errors were encountered while processing:
 debian-system-adjustments
 mint-meta-common
E: Sub-process /usr/bin/dpkg returned an error code (1)
Processor: i7-2860QM
Memory: 16 GB DDR3 @ 1600MHz
Graphics: Nvidia 560M 1.5GB - 313.18
Operating System: Linux Mint 13 Maya
HDD: 120 GB SSD & 500 GB HDD
Kernel: 3.9
User avatar
Therion87
Level 2
Level 2
 
Posts: 63
Joined: Thu Apr 07, 2011 4:07 pm
Location: Youngstown, OH

Re: Error updating LMDE-UP3

Postby zerozero on Thu Mar 29, 2012 7:18 pm

can you check with
Code: Select all
sudo apt-get -f install
or
Code: Select all
sudo dpkg --configure -a
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6492
Joined: Tue Jul 07, 2009 2:29 pm

Re: Error updating LMDE-UP3

Postby Therion87 on Thu Mar 29, 2012 7:24 pm

Code: Select all
sudo apt-get -f install
[sudo] password for robert:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.
2 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up debian-system-adjustments (2012.03.29.1) ...
/var/lib/dpkg/info/debian-system-adjustments.postinst: 35: glib-compile-schemas: not found
dpkg: error processing debian-system-adjustments (--configure):
 subprocess installed post-installation script returned error exit status 127
dpkg: dependency problems prevent configuration of mint-meta-common:
 mint-meta-common depends on debian-system-adjustments; however:
  Package debian-system-adjustments is not configured yet.
dpkg: error processing mint-meta-common (--configure):
 dependency problems - leaving unconfigured
configured to not write apport reports
                                      configured to not write apport reports
                                                                            Errors were encountered while processing:
 debian-system-adjustments
 mint-meta-common
E: Sub-process /usr/bin/dpkg returned an error code (1)
Processor: i7-2860QM
Memory: 16 GB DDR3 @ 1600MHz
Graphics: Nvidia 560M 1.5GB - 313.18
Operating System: Linux Mint 13 Maya
HDD: 120 GB SSD & 500 GB HDD
Kernel: 3.9
User avatar
Therion87
Level 2
Level 2
 
Posts: 63
Joined: Thu Apr 07, 2011 4:07 pm
Location: Youngstown, OH

Re: Error updating LMDE-UP3

Postby zerozero on Thu Mar 29, 2012 7:32 pm

Code: Select all
sudo dpkg --configure -a
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6492
Joined: Tue Jul 07, 2009 2:29 pm

Re: Error updating LMDE-UP3

Postby Therion87 on Thu Mar 29, 2012 7:37 pm

Code: Select all
sudo dpkg --configure -a
Setting up debian-system-adjustments (2012.03.29.1) ...
/var/lib/dpkg/info/debian-system-adjustments.postinst: 35: glib-compile-schemas: not found
dpkg: error processing debian-system-adjustments (--configure):
 subprocess installed post-installation script returned error exit status 127
dpkg: dependency problems prevent configuration of mint-meta-common:
 mint-meta-common depends on debian-system-adjustments; however:
  Package debian-system-adjustments is not configured yet.
dpkg: error processing mint-meta-common (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 debian-system-adjustments
 mint-meta-common


I've been through the recommended step so far myself to no avail. It's a pretty clean install just done today, only a few extra packages added/removed myself.
Processor: i7-2860QM
Memory: 16 GB DDR3 @ 1600MHz
Graphics: Nvidia 560M 1.5GB - 313.18
Operating System: Linux Mint 13 Maya
HDD: 120 GB SSD & 500 GB HDD
Kernel: 3.9
User avatar
Therion87
Level 2
Level 2
 
Posts: 63
Joined: Thu Apr 07, 2011 4:07 pm
Location: Youngstown, OH

Re: Error updating LMDE-UP3

Postby zerozero on Thu Mar 29, 2012 7:53 pm

i can't replicate that issue here (although the closest system that i have is following incoming, and at the moment there's already a big difference between both)
Code: Select all
amadeu@zerozero:~$ sudo apt-get install --reinstall mint-meta-common debian-system-adjustments
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libv8-3.6.6.14 libglew1.6
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 2 reinstalled, 0 to remove and 0 not upgraded.
Need to get 0 B/3,228 kB of archives.
After this operation, 0 B of additional disk space will be used.
(Reading database ... 230816 files and directories currently installed.)
Preparing to replace debian-system-adjustments 2012.03.29.1 (using .../debian-system-adjustments_2012.03.29.1_all.deb) ...
Unpacking replacement debian-system-adjustments ...
Preparing to replace mint-meta-common 2012.03.26 (using .../mint-meta-common_2012.03.26_all.deb) ...
Unpacking replacement mint-meta-common ...
Processing triggers for mintsystem ...
Processing triggers for libglib2.0-0 ...
Setting up debian-system-adjustments (2012.03.29.1) ...
Setting up mint-meta-common (2012.03.26) ...
amadeu@zerozero:~$ sudo apt-get remove mint-meta-common
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libv8-3.6.6.14 libglew1.6
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
  mint-meta-common
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
After this operation, 25.6 kB disk space will be freed.
Do you want to continue [Y/n]? Y
(Reading database ... 230815 files and directories currently installed.)
Removing mint-meta-common ...
amadeu@zerozero:~$ sudo apt-get install --reinstall mint-meta-common debian-system-adjustments
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libv8-3.6.6.14 libglew1.6
Use 'apt-get autoremove' to remove them.
The following NEW packages will be installed:
  mint-meta-common
0 upgraded, 1 newly installed, 1 reinstalled, 0 to remove and 0 not upgraded.
Need to get 0 B/3,228 kB of archives.
After this operation, 25.6 kB of additional disk space will be used.
(Reading database ... 230813 files and directories currently installed.)
Preparing to replace debian-system-adjustments 2012.03.29.1 (using .../debian-system-adjustments_2012.03.29.1_all.deb) ...
Unpacking replacement debian-system-adjustments ...
Selecting previously unselected package mint-meta-common.
Unpacking mint-meta-common (from .../mint-meta-common_2012.03.26_all.deb) ...
Processing triggers for mintsystem ...
Processing triggers for libglib2.0-0 ...
Setting up debian-system-adjustments (2012.03.29.1) ...
Setting up mint-meta-common (2012.03.26) ...
amadeu@zerozero:~$

could you try to remove mint-meta-common? it's just a meta-pkg anyway
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6492
Joined: Tue Jul 07, 2009 2:29 pm

Re: Error updating LMDE-UP3

Postby Therion87 on Thu Mar 29, 2012 8:00 pm

Code: Select all
sudo apt-get remove mint-meta-common
[sudo] password for robert:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages will be REMOVED:
  mint-meta-common mint-meta-debian
0 upgraded, 0 newly installed, 2 to remove and 3 not upgraded.
2 not fully installed or removed.
After this operation, 58.4 kB disk space will be freed.
Do you want to continue [Y/n]? y
(Reading database ... 156601 files and directories currently installed.)
Removing mint-meta-debian ...
Removing mint-meta-common ...
Setting up debian-system-adjustments (2012.03.29.1) ...
/var/lib/dpkg/info/debian-system-adjustments.postinst: 35: glib-compile-schemas: not found
dpkg: error processing debian-system-adjustments (--configure):
 subprocess installed post-installation script returned error exit status 127
configured to not write apport reports
                                      Errors were encountered while processing:
 debian-system-adjustments
E: Sub-process /usr/bin/dpkg returned an error code (1)
robert@robertlmde ~ $ apt update && apt dist-upgrade
Ign http://mirror.csclub.uwaterloo.ca debian InRelease                           
Hit http://debian.linuxmint.com testing InRelease                                 
Hit http://debian.linuxmint.com testing/updates InRelease
Hit http://mirror.csclub.uwaterloo.ca debian Release.gpg               
Ign http://debian.linuxmint.com testing InRelease
Hit http://mirror.csclub.uwaterloo.ca debian Release
Hit http://debian.linuxmint.com testing/main amd64 Packages/DiffIndex
Hit http://debian.linuxmint.com testing/contrib amd64 Packages/DiffIndex
Hit http://debian.linuxmint.com testing/non-free amd64 Packages/DiffIndex
Ign http://debian.linuxmint.com testing/contrib TranslationIndex
Hit http://debian.linuxmint.com testing/main TranslationIndex
Ign http://debian.linuxmint.com testing/non-free TranslationIndex
Hit http://debian.linuxmint.com testing/updates/main amd64 Packages
Hit http://debian.linuxmint.com testing/updates/contrib amd64 Packages
Hit http://debian.linuxmint.com testing/updates/non-free amd64 Packages
Ign http://debian.linuxmint.com testing/updates/contrib TranslationIndex
Hit http://mirror.csclub.uwaterloo.ca debian/main amd64 Packages
Ign http://debian.linuxmint.com testing/updates/main TranslationIndex
Ign http://debian.linuxmint.com testing/updates/non-free TranslationIndex
Hit http://debian.linuxmint.com testing Release.gpg
Hit http://mirror.csclub.uwaterloo.ca debian/upstream amd64 Packages
Hit http://mirror.csclub.uwaterloo.ca debian/import amd64 Packages
Hit http://mirror.csclub.uwaterloo.ca debian/backport amd64 Packages
Hit http://mirror.csclub.uwaterloo.ca debian/romeo amd64 Packages
Ign http://mirror.csclub.uwaterloo.ca debian/backport TranslationIndex
Ign http://mirror.csclub.uwaterloo.ca debian/import TranslationIndex
Ign http://mirror.csclub.uwaterloo.ca debian/main TranslationIndex
Ign http://mirror.csclub.uwaterloo.ca debian/romeo TranslationIndex
Ign http://mirror.csclub.uwaterloo.ca debian/upstream TranslationIndex
Hit http://debian.linuxmint.com testing Release
Hit http://debian.linuxmint.com testing/main amd64 Packages/DiffIndex
Hit http://debian.linuxmint.com testing/non-free amd64 Packages/DiffIndex
Ign http://debian.linuxmint.com testing/main TranslationIndex
Ign http://debian.linuxmint.com testing/non-free TranslationIndex
Ign http://mirror.csclub.uwaterloo.ca debian/backport Translation-en_US
Ign http://mirror.csclub.uwaterloo.ca debian/backport Translation-en
Ign http://mirror.csclub.uwaterloo.ca debian/import Translation-en_US
Ign http://mirror.csclub.uwaterloo.ca debian/import Translation-en
Ign http://debian.linuxmint.com testing/contrib Translation-en_US
Ign http://debian.linuxmint.com testing/contrib Translation-en
Ign http://debian.linuxmint.com testing/non-free Translation-en_US
Ign http://mirror.csclub.uwaterloo.ca debian/main Translation-en_US
Ign http://mirror.csclub.uwaterloo.ca debian/main Translation-en
Ign http://mirror.csclub.uwaterloo.ca debian/romeo Translation-en_US
Ign http://mirror.csclub.uwaterloo.ca debian/romeo Translation-en
Ign http://mirror.csclub.uwaterloo.ca debian/upstream Translation-en_US
Ign http://mirror.csclub.uwaterloo.ca debian/upstream Translation-en
Ign http://debian.linuxmint.com testing/non-free Translation-en
Ign http://debian.linuxmint.com testing/updates/contrib Translation-en_US
Ign http://debian.linuxmint.com testing/updates/contrib Translation-en
Ign http://debian.linuxmint.com testing/updates/main Translation-en_US
Ign http://debian.linuxmint.com testing/updates/main Translation-en
Ign http://debian.linuxmint.com testing/updates/non-free Translation-en_US
Ign http://debian.linuxmint.com testing/updates/non-free Translation-en
Ign http://debian.linuxmint.com testing/main Translation-en_US
Ign http://debian.linuxmint.com testing/main Translation-en
Ign http://debian.linuxmint.com testing/non-free Translation-en_US
Ign http://debian.linuxmint.com testing/non-free Translation-en
Reading package lists... Done
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  banshee foomatic-db-engine mintmenu
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue [Y/n]? y
Setting up debian-system-adjustments (2012.03.29.1) ...
/var/lib/dpkg/info/debian-system-adjustments.postinst: 35: glib-compile-schemas: not found
dpkg: error processing debian-system-adjustments (--configure):
 subprocess installed post-installation script returned error exit status 127
configured to not write apport reports
                                      Errors were encountered while processing:
 debian-system-adjustments
E: Sub-process /usr/bin/dpkg returned an error code (1)


I don't imagine isn't causing s huge issue, or keeping anything important back. I could just wait for new UP4 spins and do clean install, those are right around the corner I'm hoping.
Processor: i7-2860QM
Memory: 16 GB DDR3 @ 1600MHz
Graphics: Nvidia 560M 1.5GB - 313.18
Operating System: Linux Mint 13 Maya
HDD: 120 GB SSD & 500 GB HDD
Kernel: 3.9
User avatar
Therion87
Level 2
Level 2
 
Posts: 63
Joined: Thu Apr 07, 2011 4:07 pm
Location: Youngstown, OH

Re: Error updating LMDE-UP3

Postby zerozero on Thu Mar 29, 2012 8:05 pm

what give the following
Code: Select all
sudo dpkg --configure debian-system-adjustments
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6492
Joined: Tue Jul 07, 2009 2:29 pm

Re: Error updating LMDE-UP3

Postby Therion87 on Thu Mar 29, 2012 8:11 pm

Code: Select all
sudo dpkg --configure debian-system-adjustments
Setting up debian-system-adjustments (2012.03.29.1) ...
/var/lib/dpkg/info/debian-system-adjustments.postinst: 35: glib-compile-schemas: not found
dpkg: error processing debian-system-adjustments (--configure):
 subprocess installed post-installation script returned error exit status 127
Errors were encountered while processing:
 debian-system-adjustments
Processor: i7-2860QM
Memory: 16 GB DDR3 @ 1600MHz
Graphics: Nvidia 560M 1.5GB - 313.18
Operating System: Linux Mint 13 Maya
HDD: 120 GB SSD & 500 GB HDD
Kernel: 3.9
User avatar
Therion87
Level 2
Level 2
 
Posts: 63
Joined: Thu Apr 07, 2011 4:07 pm
Location: Youngstown, OH

Re: Error updating LMDE-UP3

Postby zerozero on Thu Mar 29, 2012 8:23 pm

well, somehow we are in a loop and unless someone comes with a better idea, i only see a solution:
- open synaptic > settings > repositories;
- untick romeo;
- refresh the repos;
- search for debian-system-adjustments in the quick-search > highlight the result > package (in the main menu)> force version > and downgrade to the v. 2011.10.06 (debian)

i don't know if you are new to mint or not, but romeo serves as a testing repo for the mint team (it's disabled by default) and all the pkgs in there are considered experimental (until proved good); anyway you have "safe" versions of all of them in the normal repos.
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6492
Joined: Tue Jul 07, 2009 2:29 pm

Re: Error updating LMDE-UP3

Postby Therion87 on Thu Mar 29, 2012 8:26 pm

Ok thanks
Processor: i7-2860QM
Memory: 16 GB DDR3 @ 1600MHz
Graphics: Nvidia 560M 1.5GB - 313.18
Operating System: Linux Mint 13 Maya
HDD: 120 GB SSD & 500 GB HDD
Kernel: 3.9
User avatar
Therion87
Level 2
Level 2
 
Posts: 63
Joined: Thu Apr 07, 2011 4:07 pm
Location: Youngstown, OH

Re: Error updating LMDE-UP3

Postby FerroPower on Sat Mar 31, 2012 11:51 am

I faced similar issue Found SOLUTION !!

go to synaptic update your repos (yes you can select the romeo option !! :D )

Find package libglib2.0-0 & libglib2.0-bin select and install

then run the suggested command by @zerozero in terminal

sudo apt-get install --reinstall mint-meta-common debian-system-adjustments

after that just sudo apt-get update , sudo apt-get dist-upgrade

hope it works for you as well.
FerroPower
Level 1
Level 1
 
Posts: 20
Joined: Fri Oct 21, 2011 12:28 pm

Re: Error updating LMDE-UP3

Postby zerozero on Sat Mar 31, 2012 6:42 pm

FerroPower,
thank you very much for the feedback (and the fix)
i hope it helps our friend Therion87
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6492
Joined: Tue Jul 07, 2009 2:29 pm

Re: Error updating LMDE-UP3

Postby ooburns on Tue Apr 03, 2012 12:00 am

I had a similar issue. I solved it by:
- installing libglib2.0-bin, then apt-get -f install. This fixed debian-system-adjustments. (Thanks FerroPower!)
- apt-get dist-upgrade, then apt-get -f install. This fixed mint-artwork-xfce, which was dying because mateconftool was missing.

My package manager is happy again. :D
ooburns
Level 1
Level 1
 
Posts: 3
Joined: Wed Nov 02, 2011 9:43 pm

Re: Error updating LMDE-UP3

Postby mockturtl on Thu Apr 05, 2012 2:23 pm

ZZ, we must have installed libglib2.0-bin when we were building Cinnamon.

The weather applet's install script calls glib-compile-schemas, too.
Image
User avatar
mockturtl
Level 4
Level 4
 
Posts: 442
Joined: Sat Oct 09, 2010 8:51 pm

Re: Error updating LMDE-UP3

Postby zerozero on Thu Apr 05, 2012 2:50 pm

if you're right on that one (and you usually are 8) ) and debian-system-adjustments doesn't pull the dep. (as it looks it doesn't) we are in for another gstreamer saga :mrgreen:
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6492
Joined: Tue Jul 07, 2009 2:29 pm

Re: Error updating LMDE-UP3

Postby llabtaem on Fri Apr 06, 2012 12:54 am

Hello Mint Debian world, My issues is updating I have done everything in the thread but to no avail I have the output code of all the commands that zerzero provided if someone could please take a look at them. Also I would like to mention one of them said to try to use " --fix-missing " I just want to let whom ever reads this to know that does not work. I would also like to mention that every time I update my respiratory's they update fine but when I go to upgrade it says the usual "waiting for header files" then next to it it say's "debian.linuxmint.com" or something to that affect (sorry I am tried) and then it fails. And last but not least I tried every thing that FerroPower and ooburns provided for the fix, but to no avail. I really do like this distro but if I have to continue on my journey finding the right linux distro for me then please let me know.

EDIT: I cant provide the code for the apt update && apt dist-upgrade code to long but long story short they all fail. Also romeo packages are unchecked



inxi -Sr

Code: Select all
System:    Host n/a Kernel 3.0.0-1-486 i686 (32 bit) Distro Linux Mint Debian Edition
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://packages.linuxmint.com/ debian main upstream import
           deb http://debian.linuxmint.com/latest testing main contrib non-free
           deb http://security.debian.org/ testing/updates main contrib non-free
           deb http://www.debian-multimedia.org testing main non-free
           deb http://security.debian.org/ squeeze/updates main contrib non-free
           deb-src http://security.debian.org/ squeeze/updates main contrib non-free
           deb http://www.debian-multimedia.org stable main non-free
           Active apt sources in file: /etc/apt/sources.list.d/google-chrome.list
           deb http://dl.google.com/linux/chrome/deb/ stable main




sudo apt-get -f install

Code: Select all
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 917 not upgraded.
2 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up debian-system-adjustments (2012.04.5) ...
/var/lib/dpkg/info/debian-system-adjustments.postinst: 24: /var/lib/dpkg/info/debian-system-adjustments.postinst: glib-compile-schemas: not found
dpkg: error processing debian-system-adjustments (--configure):
 subprocess installed post-installation script returned error exit status 127
dpkg: dependency problems prevent configuration of mint-meta-common:configured to not write apport reports

 mint-meta-common depends on debian-system-adjustments; however:
  Package debian-system-adjustments is not configured yet.
dpkg: error processing mint-meta-common (--configure):
 dependency problems - leaving unconfigured
configured to not write apport reports
                                      Errors were encountered while processing:
 debian-system-adjustments
 mint-meta-common
E: Sub-process /usr/bin/dpkg returned an error code (1)


sudo dpkg --configure -a

Code: Select all
Setting up debian-system-adjustments (2012.04.5) ...
/var/lib/dpkg/info/debian-system-adjustments.postinst: 24: /var/lib/dpkg/info/debian-system-adjustments.postinst: glib-compile-schemas: not found
dpkg: error processing debian-system-adjustments (--configure):
 subprocess installed post-installation script returned error exit status 127
dpkg: dependency problems prevent configuration of mint-meta-common:
 mint-meta-common depends on debian-system-adjustments; however:
  Package debian-system-adjustments is not configured yet.
dpkg: error processing mint-meta-common (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 debian-system-adjustments
 mint-meta-common


sudo dpkg --configure debian-system-adjustments

Code: Select all
Setting up debian-system-adjustments (2012.04.5) ...
/var/lib/dpkg/info/debian-system-adjustments.postinst: 24: /var/lib/dpkg/info/debian-system-adjustments.postinst: glib-compile-schemas: not found
dpkg: error processing debian-system-adjustments (--configure):
 subprocess installed post-installation script returned error exit status 127
Errors were encountered while processing:
 debian-system-adjustments
Image
User avatar
llabtaem
Level 1
Level 1
 
Posts: 27
Joined: Fri Apr 06, 2012 12:21 am

Re: Error updating LMDE-UP3

Postby zerozero on Fri Apr 06, 2012 11:15 am

hi llabtaem,
try
Code: Select all
apt install libglib2.0-bin libglib2.0-0
then
Code: Select all
sudo apt-get -f install
then
Code: Select all
 apt install --reinstall mint-meta-common debian-system-adjustments
and finally
Code: Select all
apt update && apt dist-upgrade
(if all the rest was successful, now you have a clean output)
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6492
Joined: Tue Jul 07, 2009 2:29 pm

Linux Mint is funded by ads and donations.
 
Next

Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 3 guests